<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classearth__sensor_1_1_earth_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">earth_sensor.EarthSensor Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#aae4b26f62fd387291a8fa650f11cccf7">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, bool digital, mode, outputs, str fov_shape, fov, float detected_area, np.array accuracy, float sampling_rate, bool active=True)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a73bb8326a78ca1c7a9982d0b074e49bc">acc</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a22f682a3c0fc6555fbb6470529e5c584">active_area</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a3088093822b13db1fddb9f3e2ec0f5f4">column_names</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#aabbfc23d86a7e4b1a3681069f0e45518">fov</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#ad46fef54645f41bc6f6a486373cb075c">fov_shape</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a9d4a7581c19681c9c8117f0e630d0140">get_nadirvector</a>(self, pos_sat, orientation_sat)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a02e56123e49dd1642ab6ac63406f0e1c">is_earth_in_fov</a>(self, r_ell, pos_sat, orientation_sat)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a0b12d8cbcb8cb48a3e2610299153e2ff">list</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#a2ad79e7ee352c3f58a33b2f1b1d3cb3d">nadir_angle_estimation</a>(self, pos_sat, orientation_sat, r_ell)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#acbe29de755962da1ccb9540da74cbf46">output</a>(self, float sim_time)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#af8c9f6f76ce5b732411cfacfafec9103">run</a>(self)</td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html#afa006310815cdd9252d2617e599e0ad3">sampling_rate</a></td><td class="entry"><a class="el" href="classearth__sensor_1_1_earth_sensor.html">earth_sensor.EarthSensor</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
